Subject: Re: fhandler_base::fork_fixup message
From: Chris Faylor <[email-masked]>
To: John Wiersba <[email-masked]>
Cc: [email-masked]
Date: Tue, 6 Jul 1999 20:06:47 -0400

On Tue, Jul 06, 1999 at 06:13:10PM -0400, John Wiersba wrote:
>I'm still getting messages like:
>
>    0       0 [main] D:\opt\cygwin\bin\bash.exe 1006
>fhandler_base::fork_fixup:
>/jrw/jrw/mdst/sh/tclsh - Win32 error 6, handle 0x1C
>
>even with the 7/5 cygwin1.dll.  Is this being addressed?  I could try to
>help diagnosing this if someone could suggest where to look.  I don't have
>this problem with much older (January) cygwin1.dlls, but all of the recent
>ones I've tried in the past month or so seem to have it.

What, specifically, are you doing?  I see that you're running tclsh but
that's not enough to debug the problem.

You could try using the strace command to track what is going on:

strace -osomefile -f your program arguments here

You'll have to grab the strace program from the cygwin-inst* tar file
on the snapshots page.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]